# GitHub Game Off 2016

![GitHub Game Off 2016 Theme is Hacking, Modding, or Augmenting](https://cloud.githubusercontent.com/assets/121322/19498019/d8827370-9543-11e6-82d8-6da822b6147b.png)

<div align="right">
  <sup>
    <a href="#the-challenge">English</a> ·
    <a href="#お題">日本語</a>
  </sup>
</div>

## The Challenge

You have the entire month of November to create a game *loosely* based on the theme **hacking, modding and/or augmenting**.

What do we mean by **loosely** based on hacking, modding and/or augmenting? We literally mean, *loosely* based. Some examples might be:

* an endless runner where you *hack* down binary trees in your path with a pixelated axe,
* a *modern* take on a classic e.g. a roguelike set in a 3D or VR world, or
* an *augmented* reality game bringing octopus/cat hybrids into the real world.

Unleash your creativity. You can work alone or with a team and build for any platform or device. The use of open source game engines and libraries is encouraged but not required.

We'll highlight some of our favorites on the GitHub blog, and the world will get to enjoy (and maybe even contribute to and/or learn from) your creations.

## How to participate

* [Sign up for a free personal account][github-signup] if you don't already have one.
* Fork [this repository][game-off-repo] to your personal account (or to a [free organization account][github-signup-org]).
* Clone the repository on your computer and build your game.
* Push your game source code to your forked repository before Dec 1st.
* Update the `README.md` file to include a description of your game, how/where to play/download it, how to build/compile it, what dependencies it has, etc.
* Submit your final game using this [form][wufoo-form].

## It's dangerous to go alone <img src="https://octodex.github.com/images/linktocat.jpg" height="40">

If you're **new to Git, GitHub, or version control**…

* [Git Documentation](https://git-scm.com/documentation) - everything you need to know about version control, and how to get started with Git.
* [GitHub Help](https://help.github.com/) - everything you need to know about GitHub.
* Questions about GitHub? Please [contact our Support team][github-support] and they'll be delighted to help you.
* Questions specific to the GitHub Game Off? Please [create an issue][game-off-repo-issues]. This will be the official FAQ.

The official Twitter hashtag for the Game Off is `#ggo16`. We look forward to playing with your creations.

GLHF! <3

## お題

11月いっぱいを使って、ゲームを作ってください。作ってもらいたいゲームのテーマは大まかに言って、**hacking, modding and/or augmenting(ハック、改造もしくは拡張)**です。

"**大まか**に言ってhacking, modding and/or augmenting(ハック、改造もしくは拡張)"とはどういう意味でしょうか？ 文字通り、*大まか*にテーマに沿っていればいいということです。

例えば、こんな例も含まれるということです:

* ピクセル製の斧をつかってあなたが*叩き切った*(*hack* down)バイナリツリー上をランナーが走り続けるゲームとか
* ゲームの古典をベースに*現代的*(*modern*)な解釈をするとか(例えばローグライクゲームを3DやVRの世界で再現してみる)
* タコと猫のハイブリッドを現実世界に持ち込むような*拡張*現実(*augmented* reality)ゲームとか

みなさんのクリエイティビティを最大限発揮できるように、1人で作業してもチームで作業しても問題ありませんし、作るゲームがどんなプラットフォーム向けでもどんなデバイス向けでも不問とします。また、オープンソースのゲームエンジンやライブラリを使用することは歓迎しますが、必須ではありません。

ご応募いただいたゲームのうちいくつかはGitHubのブログで取り上げる予定です。世界中があなたが作ったゲームを楽しんでくれると思います。（そしてあなたのゲームに対して貢献もしてくれるかもしれませんし、同時にあなたのゲームから何かを学び取ることもあるでしょう）

## 参加方法

* まだGitHubのアカウントを持っていない場合、[GitHubにサインアップしてアカウントを作ってください。（無料のもので問題ありません）][github-signup]
* [このリポジトリ][game-off-repo]を自分のアカウントにフォークしてください。（もしくは[オーガニゼーションにフォークしても問題ありません。もちろん無料プランでいいです。][github-signup-org])
* 自身のコンピュータにリポジトリをクローンして、ゲームを開発してください。
* ゲームのソースコードをフォークした自分のリポジトリに12月1日になる前にプッシュしてください。
* `README.md`ファイルを更新して、ゲームの説明、プレイの仕方、ダウンロードの仕方、またはビルド/コンパイルの方法、依存しているライブラリ等の説明、等々、必要な情報を含めてください。
* 最後にこの[フォーム][wufoo-form]を使ってゲームをサブミットしてください。

## ヒトリデハキケンジャ コレヲ サズケヨウ <img src="https://octodex.github.com/images/linktocat.jpg" height="40">

もし**GitやGitHub、バージョン管理そのものについて初心者なのであれば**...

* [Git Documentation](https://git-scm.com/documentation) - バージョンコントロールについてと、Gitを使い始めるために必要な情報はここにあります。（日本語で読める情報としては[Pro Gitの日本語版](https://git-scm.com/book/ja/v2)があります）
* [GitHub Help](https://help.github.com/) - GitHubについてはこちらを参照してください。
* GitHubについて質問したいことがあれば、ぜひ[ここから問い合わせてください！（ただし英語でお願いします :bow: )][github-support] サポートチームが助けてくれます。
* GitHub Game Offに関する質問については、[ここにIssueを作って聞いてください。（英語でお願いします）][game-off-repo-issues]. これが公式のFAQになっていく予定です。

このGame OffのためのTwitterの公式ハッシュタグは`#ggo16`です。皆さんのゲームで遊べるのを楽しみにしています。

GLHF! <3

<!-- links -->
[game-off-repo]:        https://github.com/github/game-off-2016/
[game-off-repo-issues]: https://github.com/github/game-off-2016/issues
[git-documentation]:    https://git-scm.com/documentation
[github-help]:          https://help.github.com/
[github-signup]:        https://github.com/signup/free  
[github-signup-org]:    https://github.com/organizations/new
[github-support]:       https://github.com/contact?form%5Bsubject%5D=GitHub%20Game%20Off
[wufoo-form]:           https://gameoff.wufoo.com/forms/game-off-2016/
